/**
 * java.sql.PreparedStatementのスタブクラス。
 * @author StubGenerator by arton.
 */
public class StubPreparedStatement implements java.sql.PreparedStatement {
    public StubPreparedStatement() {
    }
    public java.sql.ResultSetMetaData getMetaData()
         throws java.sql.SQLException {
        return null;
    }
    public void setBinaryStream(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void setBinaryStream(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void setBinaryStream(int a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void setBytes(int a0, byte[] a1)
         throws java.sql.SQLException {
    }
    public void setAsciiStream(int a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void setAsciiStream(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void setAsciiStream(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void addBatch()
         throws java.sql.SQLException {
    }
    public java.sql.ResultSet executeQuery()
         throws java.sql.SQLException {
        return null;
    }
    public int executeUpdate()
         throws java.sql.SQLException {
        return (int)0;
    }
    public void setBigDecimal(int a0, java.math.BigDecimal a1)
         throws java.sql.SQLException {
    }
    public void setBlob(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void setBlob(int a0, java.sql.Blob a1)
         throws java.sql.SQLException {
    }
    public void setBlob(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void setClob(int a0, java.sql.Clob a1)
         throws java.sql.SQLException {
    }
    public void setClob(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void setClob(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void setNCharacterStream(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void setNCharacterStream(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void setNClob(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void setNClob(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void setNClob(int a0, java.sql.NClob a1)
         throws java.sql.SQLException {
    }
    public void setNString(int a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void setNull(int a0, int a1, java.lang.String a2)
         throws java.sql.SQLException {
    }
    public void setNull(int a0, int a1)
         throws java.sql.SQLException {
    }
    public void setRowId(int a0, java.sql.RowId a1)
         throws java.sql.SQLException {
    }
    public void setSQLXML(int a0, java.sql.SQLXML a1)
         throws java.sql.SQLException {
    }
    public void clearParameters()
         throws java.sql.SQLException {
    }
    public java.sql.ParameterMetaData getParameterMetaData()
         throws java.sql.SQLException {
        return null;
    }
    public void setArray(int a0, java.sql.Array a1)
         throws java.sql.SQLException {
    }
    public void setRef(int a0, java.sql.Ref a1)
         throws java.sql.SQLException {
    }
    public void setUnicodeStream(int a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void setBoolean(int a0, boolean a1)
         throws java.sql.SQLException {
    }
    public void setByte(int a0, byte a1)
         throws java.sql.SQLException {
    }
    public void setDouble(int a0, double a1)
         throws java.sql.SQLException {
    }
    public void setFloat(int a0, float a1)
         throws java.sql.SQLException {
    }
    public void setInt(int a0, int a1)
         throws java.sql.SQLException {
    }
    public void setLong(int a0, long a1)
         throws java.sql.SQLException {
    }
    public void setShort(int a0, short a1)
         throws java.sql.SQLException {
    }
    public void setTimestamp(int a0, java.sql.Timestamp a1)
         throws java.sql.SQLException {
    }
    public void setTimestamp(int a0, java.sql.Timestamp a1, java.util.Calendar a2)
         throws java.sql.SQLException {
    }
    public void setURL(int a0, java.net.URL a1)
         throws java.sql.SQLException {
    }
    public boolean execute()
         throws java.sql.SQLException {
        return false;
    }
    public void setTime(int a0, java.sql.Time a1, java.util.Calendar a2)
         throws java.sql.SQLException {
    }
    public void setTime(int a0, java.sql.Time a1)
         throws java.sql.SQLException {
    }
    public void setObject(int a0, java.lang.Object a1)
         throws java.sql.SQLException {
    }
    public void setObject(int a0, java.lang.Object a1, int a2, int a3)
         throws java.sql.SQLException {
    }
    public void setObject(int a0, java.lang.Object a1, int a2)
         throws java.sql.SQLException {
    }
    public void setDate(int a0, java.sql.Date a1)
         throws java.sql.SQLException {
    }
    public void setDate(int a0, java.sql.Date a1, java.util.Calendar a2)
         throws java.sql.SQLException {
    }
    public void setCharacterStream(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void setCharacterStream(int a0, java.io.Reader a1, int a2)
         throws java.sql.SQLException {
    }
    public void setCharacterStream(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void setString(int a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void clearWarnings()
         throws java.sql.SQLException {
    }
    public java.sql.SQLWarning getWarnings()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.ResultSet getResultSet()
         throws java.sql.SQLException {
        return null;
    }
    public void addBatch(java.lang.String a0)
         throws java.sql.SQLException {
    }
    public void clearBatch()
         throws java.sql.SQLException {
    }
    public int[] executeBatch()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.ResultSet executeQuery(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public int executeUpdate(java.lang.String a0, int[] a1)
         throws java.sql.SQLException {
        return (int)0;
    }
    public int executeUpdate(java.lang.String a0)
         throws java.sql.SQLException {
        return (int)0;
    }
    public int executeUpdate(java.lang.String a0, java.lang.String[] a1)
         throws java.sql.SQLException {
        return (int)0;
    }
    public int executeUpdate(java.lang.String a0, int a1)
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getFetchDirection()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getFetchSize()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.sql.ResultSet getGeneratedKeys()
         throws java.sql.SQLException {
        return null;
    }
    public int getMaxFieldSize()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getMaxRows()
         throws java.sql.SQLException {
        return (int)0;
    }
    public boolean getMoreResults()
         throws java.sql.SQLException {
        return false;
    }
    public boolean getMoreResults(int a0)
         throws java.sql.SQLException {
        return false;
    }
    public int getQueryTimeout()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getResultSetConcurrency()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getResultSetHoldability()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getResultSetType()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getUpdateCount()
         throws java.sql.SQLException {
        return (int)0;
    }
    public boolean isPoolable()
         throws java.sql.SQLException {
        return false;
    }
    public void setCursorName(java.lang.String a0)
         throws java.sql.SQLException {
    }
    public void setEscapeProcessing(boolean a0)
         throws java.sql.SQLException {
    }
    public void setFetchDirection(int a0)
         throws java.sql.SQLException {
    }
    public void setFetchSize(int a0)
         throws java.sql.SQLException {
    }
    public void setMaxFieldSize(int a0)
         throws java.sql.SQLException {
    }
    public void setMaxRows(int a0)
         throws java.sql.SQLException {
    }
    public void setPoolable(boolean a0)
         throws java.sql.SQLException {
    }
    public void setQueryTimeout(int a0)
         throws java.sql.SQLException {
    }
    public void close()
         throws java.sql.SQLException {
    }
    public boolean execute(java.lang.String a0, int[] a1)
         throws java.sql.SQLException {
        return false;
    }
    public boolean execute(java.lang.String a0, java.lang.String[] a1)
         throws java.sql.SQLException {
        return false;
    }
    public boolean execute(java.lang.String a0)
         throws java.sql.SQLException {
        return false;
    }
    public boolean execute(java.lang.String a0, int a1)
         throws java.sql.SQLException {
        return false;
    }
    public void cancel()
         throws java.sql.SQLException {
    }
    public java.sql.Connection getConnection()
         throws java.sql.SQLException {
        return null;
    }
    public boolean isClosed()
         throws java.sql.SQLException {
        return false;
    }
    public boolean isWrapperFor(java.lang.Class a0)
         throws java.sql.SQLException {
        return false;
    }
    public java.lang.Object unwrap(java.lang.Class a0)
         throws java.sql.SQLException {
        return null;
    }
}
